MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000751XdebugUsage problems (Wrong Results)public2011-11-21 07:122012-04-28 09:51
ReporterAlexey01 
Assigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows (32 bit)OSXPOS VersionService Pack 3
Product Version2.1.0 
Target VersionFixed in Version2.2.0RC2 
Summary0000751: xDebug crashes various versions Apache
DescriptionI'm using PHP 5.3.3 (IDE Eclipse) with Xdebug v2.1.2 (php_xdebug-2.1.2-5.3-vc6.dll)

The problem is, when I begin to debug my php script, it crashes my Apache server (I have tested two versions Apache: 2.2.4 and 2.2.21)

Crash report:
AppName: httpd.exe AppVer: 2.2.21.0 ModName: php_xdebug-2.1.2-5.3-vc6.dll
ModVer: 2.1.2.1 Offset: 00004862

Exception Information
Code: 0xc0000005 Flags: 0x00000000
Record: 0x00000000000000 Adress: 0x00000000001004862
TagsNo tags attached.
Operating SystemWindows XP SP3 (32 bit)
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
(0001976)
derick (administrator)
2012-03-12 16:47

Can you try a later version?
(0002106)
derick (administrator)
2012-04-28 00:51

Please can you try Xdebug 2.2.0RC2?
(0002113)
Alexey01 (reporter)
2012-04-28 04:39

Thank you, derick. Now all is good.
(0002114)
derick (administrator)
2012-04-28 09:51

Cheers, thanks for checking it out.

- Issue History
Date Modified Username Field Change
2011-11-21 07:12 Alexey01 New Issue
2012-03-12 16:47 derick Note Added: 0001976
2012-03-12 16:47 derick Assigned To => derick
2012-03-12 16:47 derick Status new => feedback
2012-04-28 00:51 derick Note Added: 0002106
2012-04-28 04:39 Alexey01 Note Added: 0002113
2012-04-28 04:39 Alexey01 Status feedback => assigned
2012-04-28 09:51 derick Note Added: 0002114
2012-04-28 09:51 derick Status assigned => resolved
2012-04-28 09:51 derick Fixed in Version => 2.2.0RC2
2012-04-28 09:51 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker